%global srcname scram

Summary:	Salted Challenge Response Authentication Mechanism (SCRAM) - Java Implementation
Name:		ongres-%{srcname}
Version:	2.1
Release:	5%{?dist}
License:	BSD
URL:            https://github.com/ongres/%{srcname}
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:	maven-local junit
BuildRequires:  ongres-stringprep

BuildArch:	noarch
ExclusiveArch:  %{java_arches} noarch

%description
SCRAM (Salted Challenge Response Authentication Mechanism) is part of the family of
Simple Authentication and Security Layer (SASL, RFC 4422) authentication mechanisms.
It is described as part of RFC 5802 and RFC7677.


%package client
Summary:	Client for %{name}

%description client
This package contains the client for %{name}


%package javadoc
Summary:	Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}


%package parent
Summary:	Parent POM of %{name}

%description parent
This package contains the %{name} parent POM.


%prep
%autosetup -p1 -n %{srcname}-%{version}
find ./ \( -name '*.jar' -o -name '*.class' \) -delete

%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-dependency-plugin client
%pom_remove_plugin -r :maven-javadoc-plugin

%pom_remove_dep com.google.code.findbugs:annotations
sed -i 's/.*SuppressFBWarnings.*//' common/src/main/java/com/ongres/scram/common/message/ServerFinalMessage.java


%build
%mvn_build -s


%install
%mvn_install


%files -f .mfiles-common
%license LICENSE


%files client -f .mfiles-client
%license LICENSE


%files javadoc -f .mfiles-javadoc
%license LICENSE


%files parent -f .mfiles-parent
%license LICENSE


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 rockerzhu <rockerzhu@tencent.com> - 2.1-1
- Initial build.
